# OSGeo::FDO::Geometry::PolygonCollection Class Reference

Inheritance diagram for OSGeo::FDO::Geometry::PolygonCollection:

[legend]

List of all members.

## Detailed Description

The PolygonCollection class is a collection of IPolygon objects.

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Geometry::IPolygon *value)
| Adds a IPolygon object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Geometry::IPolygon *value)
| Determines whether the collection contains a specific IPolygon object.
System::Void | CopyTo (OSGeo::FDO::Geometry::IPolygon *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Geometry::IPolygon * | get_Item (System::Int32 index)
| Gets an IPolygon object in the collection.
__property OSGeo::FDO::Geometry::IPolygon * | get_RealTypeItem (System::Int32 index)
| Gets an IPolygon object in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (OSGeo::FDO::Geometry::IPolygon *value)
| Determines the index of a specific IPolygon object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Geometry::IPolygon *value)
| Inserts an IPolygon object to the collection at the specified position.
| PolygonCollection ()
| Creates an instance of PolygonCollection with no contained elements.
| PolygonCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a managed object based on an unmanaged instance of the object.
System::Void | Remove (OSGeo::FDO::Geometry::IPolygon *value)
| Removes the first occurrence of a specific IPolygon object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th IPolygon from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Geometry::IPolygon *value)
| Sets the value of the IPolygon object at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Geometry::IPolygon *value)
| Sets the value of the IPolygon object at the specified index.